// SPDX-License-Identifier: MIT
// Copyright (c) 2021 KikooDX
// This file is part of [KBLE](https://sr.ht/~kikoodx/kble), which is
// MIT licensed. The MIT license requires this copyright notice to be
// included in all copies and substantial portions of the software.
//! Parameter buffer related operations.
const buffer_type = @import("parameter.zig").buffer_type;
const Level = @import("level.zig");
const Vec2 = @import("vec2.zig");

pub fn set(level: Level, cursor: Vec2, arg: buffer_type) buffer_type {
    return arg;
}

pub fn pick(level: Level, cursor: Vec2, arg: buffer_type) buffer_type {
    return level.get_tile_at(cursor);
}
